cifti::CiftiXML Class Reference

class for retrieving and setting mapping information of cifti files More...

`#include <CiftiXML.h>`

## Public Types

enum | { ALONG_ROW = 0 , ALONG_COLUMN = 1 , ALONG_STACK = 2 }

## Public Member Functions

int | getNumberOfDimensions () const
const CiftiVersion & | getParsedVersion () const
const CiftiMappingType * | getMap (const int &direction) const
| can return null in unfilled XML object
CiftiMappingType * | getMap (const int &direction)
| can return null in unfilled XML object
const MetaData & | getFileMetaData () const
CiftiMappingType::MappingType | getMappingType (const int &direction) const
const CiftiBrainModelsMap & | getBrainModelsMap (const int &direction) const
CiftiBrainModelsMap & | getBrainModelsMap (const int &direction)
const CiftiLabelsMap & | getLabelsMap (const int &direction) const
CiftiLabelsMap & | getLabelsMap (const int &direction)
const CiftiParcelsMap & | getParcelsMap (const int &direction) const
CiftiParcelsMap & | getParcelsMap (const int &direction)
const CiftiScalarsMap & | getScalarsMap (const int &direction) const
CiftiScalarsMap & | getScalarsMap (const int &direction)
const CiftiSeriesMap & | getSeriesMap (const int &direction) const
CiftiSeriesMap & | getSeriesMap (const int &direction)
int64_t | getDimensionLength (const int &direction) const
std::vector< int64_t > | getDimensions () const
void | setNumberOfDimensions (const int &num)
void | setMap (const int &direction, const CiftiMappingType &mapIn)
void | setFileMetaData (const MetaData &mdIn)
void | clear ()
void | readXML (XmlReader &xml)
void | readXML (const std::vector< char > &text)
std::vector< char > | writeXMLToVector (const CiftiVersion &writingVersion=CiftiVersion()) const
void | writeXML (XmlWriter &xml, const CiftiVersion &writingVersion=CiftiVersion()) const
int32_t | getIntentInfo (const CiftiVersion &writingVersion, char intentNameOut[16]) const
| uses the mapping types to figure out what the intent info should be
| CiftiXML (const CiftiXML &rhs)
CiftiXML & | operator= (const CiftiXML &rhs)
bool | operator== (const CiftiXML &rhs) const
bool | operator!= (const CiftiXML &rhs) const
bool | approximateMatch (const CiftiXML &rhs) const

## Detailed Description

class for retrieving and setting mapping information of cifti files

The documentation for this class was generated from the following files:

- CiftiXML.h
- CiftiXML.cxx